Update Location Parameters

post

/config/sim/v2/hierarchy/updateLocationParameters

Updates the parameters for a location.

Request

Supported Media Types
Header Parameters
Body ()
Request body
Root Schema : schema
Type: object
Show Source
Nested Schema : LocationParams_calendarv2
Type: object
An object containing the calendar settings for the location
Show Source
Nested Schema : LocationParams_emailConfiguration
Type: object
An object containing the email configuration for the location
Show Source
Nested Schema : LocationParams_languageV2CUD
Type: object
An object containing a language available at the property.
Show Source
Nested Schema : LocationParams_optionsExt
Type: object
An object containing the descriptive options list associated with the location parameter.
Show Source
Nested Schema : LocationParams_postingOptionsExt
Type: object
An object containing the descriptive options list associated with the location parameter.
Show Source
Nested Schema : LocationParams_securityv2CUD
Type: object
An object containing the credentials of the property's workstations.
Show Source
Nested Schema : LocationParams_serialNumberInfo
Type: object
An object containing the details of the system serial numbers
Show Source
Nested Schema : serviceHosts
Type: array
An array of service hosts associated with the location. Each service type can appear only once. Services omitted from the supplied array have their host assignments cleared, port reset to 8080, and URL reset to EGateway/EGateway.asmx. Null or an empty array resets all services.
Show Source
Nested Schema : LocationParams_simphonyEssentials
Type: object
Object containing the configuration settings for Simphony Essentials enabled organization
Show Source
Nested Schema : LocationParams_taiwanGUIParameters
Type: object
An object containing the Taiwan tax number prefix and the end of range tax threshold
Show Source
Nested Schema : LocationParams_timekeeping
Type: object
An object containing the timekeeping configuration for the location
Show Source
Nested Schema : LocationParams_workstationOptionsv2
Type: object
An object containing the workstation options associated with the location
Show Source
Nested Schema : startOfDaySettings
Type: array
An array of the start of day settings for the business week. Weekdays omitted from the supplied array reset to manual start of day with no PC Autosequence assigned. An empty array resets all weekdays.
Show Source
Nested Schema : LocationParams_startOfPeriodSettingsv2
Type: object
An object containing the start of period settings for the location
Show Source
Nested Schema : LocationParams_startOfDaySettingsv2
Type: object
Show Source
Nested Schema : otherPeriod1
Type: array
An array of dates for the Other Period 1.
Show Source
Nested Schema : otherPeriod2
Type: array
An array of dates for the Other Period 2.
Show Source
Nested Schema : otherPeriod3
Type: array
An array of dates for the Other Period 3.
Show Source
Nested Schema : sOMAlternateDates
Type: array
An array of alternate dates for the start of month.
Show Source
Nested Schema : sOQAlternateDates
Type: array
An array of alternate dates for the start of quarter. Applicable only if useSOQAlternateDates = true
Show Source
Nested Schema : sOYAlternateDates
Type: array
An array of dates for the start of year
Show Source
Nested Schema : startOfPayPeriod
Type: object
Localized name representing the start of pay period.
Example:
{
    "en-US":"Biweekly"
}
Nested Schema : LocationParameters_AlternateDates
Type: object
Show Source
Nested Schema : LocationParams_backupSMTPServer
Type: object
An object containing the backup SMTP server details for email configuration of the property.
Show Source
  • A require secure Internet communication.
    Example: false
  • The business name or name to appear along with the email in the sender field.
    Example: Admin
  • The password associated with the email user name.
    Example: aaddsfgf@34
  • The port number for the SMTP email server. A default port of 587 works for most SMTP servers.
    Example: 587
  • URL of the email server or service.
    Example: smtp.mail.com
  • The full email address to appear as the sender in the emailed receipt.
    Example: admin@oracle.com
  • The user name of the email address that sends receipts.
    Example: test
Nested Schema : LocationParams_htmlFormatting
Type: object
An object containing the text formatting settings of the email configuration of the location.
Show Source
  • Text in rich text format to appear as the body of email receipts.
    Example: HTML Email Body
  • Text in rich text format to appear as the subject line of email receipts.
    Example: Subject
Nested Schema : LocationParams_primarySMTPServer
Type: object
An object containing the primary SMTP server settings of the location.
Show Source
  • The email addresses to receive a blind carbon copy of the email receipt that is sent to the guest.
    Example: admin2@oracle.com; admin3@oracle.com
  • A require secure Internet communication.
    Example: false
  • The business name or name to appear along with the email in the sender field.
    Example: Admin
  • The password associated with the email user name.
    Example: aaddsfgf@34
  • The port number for the SMTP email server. A default port of 587 works for most SMTP servers.
    Example: 587
  • URL of the email server or service.
    Example: smtp.mail.com
  • The full email address to appear as the sender in the emailed receipt.
    Example: admin@oracle.com
  • The user name of the email address that sends receipts.
    Example: test
Nested Schema : LocationParams_textFormatting
Type: object
An object containing the text formatting settings of the email configuration of the location.
Show Source
  • Text in rich text format to appear as the body of email receipts.
    Example: Email Body
  • Text in rich text format to appear as the subject line of email receipts.
    Example: Subject
Nested Schema : LocationParams_serviceHostsv2
Type: object
Show Source
  • Port of the service host associated with the location.
    Example: 8080
  • Object number of the service host associated with the location
    Example: 4715
  • Unique ID of the service. Returned by the get operation.
    Example: 4715
  • Allowed Values: [ "SIM File Access File Service", "Check and Posting", "Check and Posting BackUp", "Distributed CAL" ]
    Type of the service host.
    Example: Check and Posting
  • URL of the service host associated with the location
    Example: EGateway/EGateway.asmx
Back to Top

Response

Supported Media Types

200 Response

Location Parameters Updated.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top